accrue.analysis.interprocanalysis

## Class RegisterProceduresVisitor

- java.lang.Object
- - polyglot.visit.NodeVisitor
  - - polyglot.visit.HaltingVisitor
    - - polyglot.visit.ErrorHandlingVisitor
      - - accrue.analysis.interprocanalysis.RegisterProceduresVisitor

- All Implemented Interfaces:
    java.lang.Cloneable, polyglot.util.Copy<polyglot.visit.NodeVisitor>

      public class RegisterProceduresVisitor
      extends polyglot.visit.ErrorHandlingVisitor

  Registers all procedures (methods, constructors, initializers) with the InterAnalysisPass.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Registrar` | `registrar`

    - ### Fields inherited from class polyglot.visit.ErrorHandlingVisitor

      `error, job, nf, ts`

    - ### Fields inherited from class polyglot.visit.HaltingVisitor

      `bypass, bypassParent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegisterProceduresVisitor(polyglot.frontend.Job job, polyglot.types.TypeSystem ts, polyglot.ast.NodeFactory nf, Registrar registrar)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected polyglot.visit.NodeVisitor` | `enterCall(polyglot.ast.Node n)`

    - ### Methods inherited from class polyglot.visit.ErrorHandlingVisitor

      `begin, catchErrors, enter, enterCall, enterError, errorQueue, hasErrors, job, leave, leaveCall, leaveCall, leaveCall, nodeFactory, typeSystem`

    - ### Methods inherited from class polyglot.visit.HaltingVisitor

      `bypass, bypass, bypassChildren, override, visitChildren`

    - ### Methods inherited from class polyglot.visit.NodeVisitor

      `copy, enter, finish, finish, lang, leave, override, toString, visitEdge, visitEdgeNoOverride`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### registrar

          protected final Registrar registrar

  - ### Constructor Detail

    - #### RegisterProceduresVisitor

          public RegisterProceduresVisitor(polyglot.frontend.Job job,
                                   polyglot.types.TypeSystem ts,
                                   polyglot.ast.NodeFactory nf,
                                   Registrar registrar)

  - ### Method Detail

    - #### enterCall

          protected polyglot.visit.NodeVisitor enterCall(polyglot.ast.Node n)
                                                  throws polyglot.types.SemanticException

      Overrides:
        `enterCall` in class `polyglot.visit.ErrorHandlingVisitor`
      Throws:
        `polyglot.types.SemanticException`